curl --request POST \
--url https://api.dfns.io/payouts/quote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
"asset": {
"kind": "Erc20",
"amount": "<string>",
"contract": "<string>"
},
"fiatCurrency": "<string>",
"provider": "Borderless",
"country": "<string>"
}
'{
"provider": "Borderless",
"asset": {
"kind": "Erc20",
"amount": "<string>",
"contract": "<string>",
"network": "Algorand",
"metadata": {
"decimals": 123,
"name": "<string>",
"symbol": "<string>",
"verified": true
}
},
"timestamp": "2023-11-07T05:31:56Z",
"quotes": [
{
"offer": {
"fiatCurrency": "<string>",
"amount": 123,
"fees": 123
},
"quoteId": "<string>"
}
]
}Request a quote from a given provider for a payout. Returns estimated fiat amount and fees.
curl --request POST \
--url https://api.dfns.io/payouts/quote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
"asset": {
"kind": "Erc20",
"amount": "<string>",
"contract": "<string>"
},
"fiatCurrency": "<string>",
"provider": "Borderless",
"country": "<string>"
}
'{
"provider": "Borderless",
"asset": {
"kind": "Erc20",
"amount": "<string>",
"contract": "<string>",
"network": "Algorand",
"metadata": {
"decimals": 123,
"name": "<string>",
"symbol": "<string>",
"verified": true
}
},
"timestamp": "2023-11-07T05:31:56Z",
"quotes": [
{
"offer": {
"fiatCurrency": "<string>",
"amount": 123,
"fees": 123
},
"quoteId": "<string>"
}
]
}CustomerEmployee)EndUser)Payouts:Create: Always required.Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
The wallet ID to use for determining the network.
1 - 64^wa-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$"wa-5pfuu-9euek-h0odgb6snva8ph3k"
The asset to be paid out.
Show child attributes
ISO-4217 fiat currency code for the payout quote.
^[A-Z]{3}$Borderless ISO-3166 Alpha-2 country code for the payout destination.
^[A-Z]{2}$Success
Payout provider.
Borderless The asset being quoted, enriched with network and metadata.
Show child attributes
ISO 8601 timestamp when the quote was generated.
Array of quotes from the provider(s).
Show child attributes
Was this page helpful?